# Component: {{ component }}

{% autoescape false -%}
```
Service:          {{ component.service }}
Saturation Point: {{ component.saturation_point }}
{% if component.dimension -%}
Dimension:        {{ component.dimension }}
{% endif -%}

Horizontally scalable: {{ component.saturation_point.horizontally_scalable }}
Severity:              {{ component.saturation_point.severity }}
```
{% endautoescape -%}

{{ component.saturation_point.description }}

## Forecast

For more information, please see the :point_right: [Tamland report]({{ getenv("TAMLAND_REPORT_BASE_URL", getenv("CI_PAGES_URL")) }}/components/{{ component }}/).

{% if plot.get("markdown") -%}
{{ plot.get("markdown") }}{width=800px}
{% else -%}
Forecast plot is currently unavailable for this component.
{% endif -%}

{% if history_video.get("markdown") -%}
## History
{{ history_video.get("markdown") }}{width=800px}
{% endif -%}

## Capacity warnings

| SLO | Violation date | Earliest violation date |
| ----|------|------------|
{% for violation in forecast.slo_violations -%}
|`{{ violation.slo.name }}` | {{ violation.yhat_date }} | {{ violation.yhat_upper_date }} |
{% endfor -%}

Legend:
* Violation date: Date of forecasted SLO violation
* Earliest violation date: Date of forecasted SLO violation (based on confidence interval)

## Dashboards

* **{{ component.service.overview_dashboard }}**
* **{{ component.service.resource_dashboard.get(component.saturation_point.name) }}**

{% if component.service.owner -%}
## Service Owner:
{% if component.service.owner.label -%}
/label ~"{{ component.service.owner.label }}"
~"{{ component.service.owner.label }}"
{% endif -%}
```
{{ component.service.owner|yaml }}
```
{% endif -%}

---

<details>
  <summary>Tamland metadata</summary>

{% autoescape false -%}
```yaml
# tamland
{% if _metadata_in_place -%}
{{ issue.metadata|yaml }}
{% else -%}
component_ident: {{ component }}
{% endif -%}
```
{% endautoescape -%}

</details>

<details>
  <summary>Other debug information</summary>

### Alert details

{% autoescape false -%}
alert: `{{ alert.status }}`
{% endautoescape -%}

### Rules

{% autoescape false -%}
{% for outcome in alert.rule_outcomes -%}
1. `{{ outcome.rule }}`: {{ outcome.description }}
{% endfor -%}
{% endautoescape -%}

</details>

_Do not manually edit description, any changes will be overridden._

/label ~"{{ component.saturation_point.severity|severity_label }}"
